/*
 *                      ..::PictoGame::..
 *
 * Copyright (C) Federico Vera 2010-2011 <dktcoding [at] gmail>
 *
 * PictoGame is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or any later
 * version.
 *
 * PictoGame is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package picto.exceptions;

/**
 * This exception is thrown when the number of elements in the header doesn't
 * fit in a line.
 *
 * @author Fido <dktcoding [at] gmail>
 */
public class IncorrectHeaderException extends Exception {
    private static final long serialVersionUID = 5623479186723480211L;

    /**
     * Creates a new instance of <code>IncorrectHeaderException</code> without
     * detail message.
     */
    public IncorrectHeaderException() {

    }

    /**
     * Constructs an instance of <code>IncorrectHeaderException</code> with the
     * specified detail message.
     * @param msg the detail message.
     */
    public IncorrectHeaderException(String msg) {
        super(msg);
    }
}
